
  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $proveedor = $_GET["proveedor"];
        $sql = mysql_query("select * from compras where termino='Credito' and balance>0 and proveedor='$proveedor'") or die(mysql_error());
		
		$cuentas = mysql_query("select * from enlace_cuentas") or die(mysql_error());
///$pagos_proveedores = @mysql_result($cuentas, 0, "pagos_proveedores")or die(mysql_error());
	
	?>
<script>
	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sistema")
		window.location.href="../menu/menu.php";
		
	}
</script>

  <div class="container" style="background:white; padding:10px">

        
		<div class="row">
  
			<div class="col-md-12">
     
      <span class="text-success h3"> <i class="fa fa-calendar"></i> Pago de facturas de compras</span>
        <br>
       
		          <?php echo "<span class='h4  bolder text-danger' id='lb-proveedor'>".$proveedor."</span>";?>
				<br>
				<a class="btn btn-default mb-2" href="cuenta_por_pagar.php"><i class="fa fa-home"></i>Ir atras</a>
        <br> <br>
    
			  
        
        <div class="panel panel-default">
        <div class="panel-heading">
        
        <div class="row">
       

          <div class="col-md-12">
             <b>Efectivo: </b><input type="text" id="txt-pagado" class="form-control0" placeholder="DOP$: 0.00" style="width:100px;">
			 Cheque: <input type="number" id="txt-cheque" class="form-control0" placeholder="CHQ: 0.00" style="width:145px;">
			  N. Cheque: <input type="text" id="txt-numero_cheque" class="form-control0" placeholder="# Cheque" style="width:85px;">
			 <select id="cuenta" name="cuenta" onchange="getCuenta(this.value)" style="height:25px">
		
                                <option value="" selected disabled>Sel. cuenta</option>
                                <?php 
								//include("../php/config.php");
								$sql3 = mysql_query("select * from cuentas")?>

                                <?php while ($r3 = mysql_fetch_array($sql3)) { ?>
                                    <option value="<?php echo $r3['numero_cuenta'] ?>">(<?php echo $r3['numero_cuenta'] ?>)<?php echo $r3['descripcion'] ?></option>
                                <?php } ?>
               </select> 	
			  
			  Tarjeta: <input type="number" id="txt-tarjeta" class="form-control0" placeholder="" style="width:100px;">
			 <button class="" onclick="grabar_pago()"><i class="fa fa-save"></i> Grabar</button>
			<br>
			<a href="javascript:void()" onClick="historial_pagos()"> Historial de pagos</a>
		  </div>
      
        </div>
        
        </div>
          <div class="panel-body">
          <div class="table-responsive border p-3">
					<table class="table table-hover table-striped table-sm
" data-page-length='8' style="width: 100%">
						<thead>
							<th>Folio</th>
							<th>Fecha</th>
              <th>Proveedor</th>
             
              <th>Monto</th>
              <th>balance</th>
              <th>Editar</th>
						</thead>
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){
              $folio = $r["folio"];
              $c++;
              $total+=$r["total"];
              $balance+=$r["balance"];
              $costo+=$r["costo"];
              $ganancia+=$r["total"] - $costo;
             

              ?>
							<tr>
								<td><?php echo $r["folio"]?></td>
                <td><span class="text-primary"><?php echo fecha($r["fecha"])?></span></td>
								<td><?php echo $r["proveedor"]?></td>
                 <td><?php echo decimal($r["total"])?></td>
                <td><?php echo decimal($r["balance"])?></td>
               
             
               <td><a class="" href="javascript:void(0)" onClick="reimprimir('<?php echo $folio?>')" ><i class="fa fa-edit"></i></a></td>
							</tr>
                                                        <?php }?>
						</tbody>
            <tfoot>
              <th>
                Cant. ventas: <?php echo $c?>
              </th>
              <th class="text-success">
                Total: <?php echo decimal($total)?>
              </th>

              <th>
                
              </th>

              <th class="text-success">
                
              </th>

              <th class="text-success">
                Balance general: <?php echo decimal($balance)?>
              </th>

            </tfoot>
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>


          </div>
        </div>


        
				
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal" id="modalBusqueda" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Busqueda por fecha</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Desde</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2 font-weight-bolde" id="fecha1" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Hasta</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha2" name="fecha2" value="">
          </div>
        </div>

         

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="buscar()"><i class="fa fa-w fa-save"></i> Grabar</button>


            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
///FOLIO///
var folio="";
  _folio()
  function _folio() {
    var sql = "select * from parametros"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);

        for (var i in rs.data) {
          ///$("#txt-folio").val(rs.data[i].folio_ventas);
          folio = myUser+""+(rs.data[i].folio_egreso);
          //lista(folio)
        }

      })
  }
  


var balance="<?php echo $balance?>";

 function borrar(){
  
     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from productos where id_producto='"+id_producto+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

function reimprimir(f){
   window.open('ticket_factura.php?folio='+f, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
  
}

$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});


var secuencia="";
  function grabar_pago00(){
   var sql = "select * from apertura_caja where caja='" + myCaja + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        //if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
		
        grabar_pago2();

     })
  }


function grabar_pago(){
var monto = $("#txt-pagado").val();
var efectivo = $("#txt-pagado").val();
var cheque = $("#txt-cheque").val();
var tarjeta = $("#txt-tarjeta").val();
var numero_cheque = $("#txt-numero_cheque").val();


if(cheque==""){cheque=0;}
if(efectivo==""){efectivo=0;}
if(tarjeta==""){tarjeta=0;}
var total = parseFloat(efectivo) + parseFloat(cheque) + parseFloat(tarjeta);

if(total<=0){
  alert("Especifique efectivo o cheque!!!");
  return;
} 

if(cheque>0 && numero_cheque==""){
  alert("Especifique numero del cheque");
  return;
} 



if(parseFloat(balance)<parseFloat(monto)){
  alert("El balance es de: "+numeral(balance).format('0,0.00'));
  return;
}  
if(!confirm("Seguro(a) que desea registrar este pago de "+numeral(total).format('0,0.00')+"?")){return;}
var cliente = $("#lb-proveedor").html();
var datos="proveedor="+cliente;
    datos+="&monto="+total;
	datos+="&tipo=Compra";
	datos+="&tarjeta="+tarjeta;
	datos+="&cheque="+cheque;
	datos+="&numero_cheque="+numero_cheque;
	datos+="&efectivo="+efectivo;
    datos+="&usuario="+myUser;
    ////datos+="&secuencia="+secuencia;
    

$.get("pagar.php?"+datos,function( data,tx ){
  if(tx=="success"){
   if(data=="1"){
	grabar_cheque() 
	var acuenta = "<?php echo $pagos_proveedores?>";
   	updateCuenta(acuenta, total);
    imprimir();
   }
  }else{
    alert(data);
  }
})

}

function updateCuenta(acuenta, total){
	  try{
            var sql="";                            
            sql="UPDATE cuentas set balance=balance - '"+total+"' where numero_cuenta='"+acuenta+"'";
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
                ////var rs = JSON.parse(data);
				if(data=="1"){
					/////
				}else{
					alert(data)
				}
                
            })


}catch(e){
  alert(e.message)
}
}
  function grabar_cheque(){ 
     if($("#cuenta").val()!="" && $("#txt-cheque").val()!="" && $("#txt-numero_cheque").val()!=""){

				 var paguese_a = $("#lb-proveedor").html()
				 var monto = $("#txt-cheque").val()
				 var ncheque = $("#txt-numero_cheque").val()
				 var fecha = hoy_sql
				 var concepto="Pago a factura de compra a"+paguese_a
				 var datos = "paguese_a="+paguese_a+"&monto="+monto+"&usuario="+myUser+"&fecha="+fecha+"&concepto="+concepto+"&cuenta="+$("#cuenta").val()+"&numero_cheque="+ncheque;
				 if(paguese_a=="" || monto=="" || fecha==""){alert("Informacion incompleta"); return;}
				 //$(".grabar").hide();

				 $.get("../contabilidad/grabar_cheque.php?"+datos,function(data,st){
				  //if(st=="success"){if(data=="1"){window.location.reload();}else{alert(data)}}
				   //$(".grabar").show();
				 })
	}
  }
  

function imprimir(){

    var sql = "select * from egresos where usuario='" + myUser + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("No hay pagos en este turno"); return;}
        var rs = JSON.parse(data);
        id = rs.data[0].id;
         window.open('../pos/recibo_egreso.php?id=' + id, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
		 setTimeout(function(){
			 window.location.reload()
		 })
	  })
  }

  function historial_pagos(){
	  var cliente = $("#lb-proveedor").html();
	  var datos="cliente="+cliente;
         window.open('historial_pagos2.php?' + datos, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }

        </script>

